#
# Conditional build:
%bcond_without	glide3_sdk	# don't build glide3x SDK here
#
%define snapdate 20010309
%define	rel	14
Summary:	Glide runtime for 3Dfx Voodoo4 and Voodoo5 boards
Summary(ko.UTF-8):	3Dfx 부두 벤쉬/3 비디오카드용 Glide 런타임 라이브러리
Summary(pl.UTF-8):	Biblioteki Glide dla kart 3Dfx Voodoo4 i Voodoo5
Name:		Glide_V5-DRI
Version:	3.10.0
Release:	0.%{snapdate}.%{rel}
Epoch:		1
License:	3dfx Glide General Public License, 3Dfx Interactive Inc.
Group:		X11/Libraries
Source0:	cvs://anonymous@cvs.glide.sourceforge.net:/cvsroot/glide/glide3x-%{snapdate}.tar.gz
# Source0-md5:	42a8e093221b2360ec96191ae0e13ce0
Patch0:		glide-ia64.patch
Patch1:		glide-ac-workaround.patch
Patch2:		glide-h3.patch
Patch3:		glide-h5.patch
Patch4:		glide-am16.patch
Patch5:		glide-gcc33.patch
Patch6:		glide-ioctl.patch
Patch7:		glide-morearchs.patch
Patch8:		glide-gcc4.patch
Patch9:		glide-no_redefine_macro.patch
Patch10:	glide-format.patch
Patch11:	glide-include.patch
URL:		http://glide.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Provides:	Glide3-DRI
Obsoletes:	Glide_V3-DRI
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows the user to use a 3dfx Interactive Voodoo4 or
Voodoo5 card under Linux with DRI support. The source support DRI or
non-DRI versions of Glide.

%description -l pl.UTF-8
Ta biblioteka pozwala użytkownikowi na używanie kart 3dfx Interactive
Voodoo4 lub Voodoo5 pod Linuksem z DRI. Ta wersja zawiera wsparcie dla
wersji Glide z DRI i bez DRI.

%package devel
Summary:	Development headers for Glide 3.x
Summary(pl.UTF-8):	Pliki nagłówkowe Glide 3.x
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	Glide3x_SDK >= %{epoch}:%{version}
Provides:	Glide3-DRI-devel
Obsoletes:	Glide_V3-DRI-devel

%description devel
This package includes the headers files, documentation, and test files
necessary for developing applications that use the 3Dfx Interactive
Voodoo4 or Voodoo5 cards.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe, dokumentacje, oraz pliki tekstowe
wymagane przez aplikacje deweloperskie, które używają kart 3Dfx
Interactive Voodoo4 lub Voodoo5.

%package static
Summary:	Static Glide 3.x library
Summary(pl.UTF-8):	Statyczne biblioteki Glide 3.x
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	Glide3-DRI-static
Obsoletes:	Glide_V3-DRI-static

%description static
This package includes the static Glide3 library for Voodoo4 or
Voodoo5.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki Glide3 dla Voodoo4 lub
Voodoo5.

%package -n Glide3x_SDK
Summary:	Development libraries for Glide 3.x
Summary(pl.UTF-8):	Część Glide 3.x przeznaczona dla programistów
Group:		Development/Libraries
Conflicts:	Glide_SDK

%description -n Glide3x_SDK
This package includes the header files and test files necessary for
developing applications that use any of the 3D accelerators in the
3Dfx Interactive Voodoo line utilizing Glide 3.x interface.

%description -n Glide3x_SDK -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i pliki testowe potrzebne do
tworzenia aplikacji korzystających z akceleratorów 3D serii 3Dfx
Interactive Voodoo przy użyciu interfejsu Glide 3.x.

%prep
%setup -q -n glide3x-%{snapdate}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p2
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake} -i
%configure \
	--enable-fx-dri-build \
	--enable-fx-glide-hw=h5 \
	--enable-fx-debug=no \
%ifarch i586 i686 athlon
	--enable-amd3d
%endif

%{__make} -j1 -f makefile.autoconf all \
	GLIDE_DEBUG_GCFLAGS="%{rpmcflags} -fno-expensive-optimizations %{!?debug:-fomit-frame-pointer -ffast-math}" \
	GLIDE_DEBUG_GDEFS="%{!?debug:-DBIG_OPT} %{?debug:-DGDBG_INFO_ON -DGLIDE_DEBUG}" \
	LINK_LIBS="-lX11 -lXext -lXxf86dga -lXxf86vm -lm" \
	PREPROCESSOR='cpp -I. -x assembler-with-cpp'

%install
rm -rf $RPM_BUILD_ROOT

# something is recompiled - use GCFLAGS too
%{__make} -f makefile.autoconf install \
	GLIDE_DEBUG_GCFLAGS="%{rpmcflags} -fno-expensive-optimizations %{!?debug:-fomit-frame-pointer -ffast-math}" \
	GLIDE_DEBUG_GDEFS="%{!?debug:-DBIG_OPT} %{?debug:-DGDBG_INFO_ON -DGLIDE_DEBUG}" \
	LINK_LIBS="-lX11 -lXext -lXxf86dga -lXxf86vm -lm" \
	DESTDIR=$RPM_BUILD_ROOT

# used by tdfx_dri.so from XFree86
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3-v5.so
# used by ???
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3x_V5.so
# used by dlopen in X driver
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3x.so

%if %{with glide3_sdk}
# Install the examples and their source, no binaries
install -d $RPM_BUILD_ROOT%{_examplesdir}/glide3x-%{version}/tests
install h5/glide3/tests/makefile.linux $RPM_BUILD_ROOT%{_examplesdir}/glide3x-%{version}/tests/makefile
install h5/glide3/tests/*.3df $RPM_BUILD_ROOT%{_examplesdir}/glide3x-%{version}/tests
install h5/glide3/tests/test??.c $RPM_BUILD_ROOT%{_examplesdir}/glide3x-%{version}/tests
install h5/glide3/tests/tldata.inc $RPM_BUILD_ROOT%{_examplesdir}/glide3x-%{version}/tests
install h5/glide3/tests/tlib.[ch] $RPM_BUILD_ROOT%{_examplesdir}/glide3x-%{version}/tests
gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/glide3x-%{version}/tests/*.3df
%else
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/glide3
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc glide_license.txt
%attr(755,root,root) %{_libdir}/libglide3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglide3.so.3
%attr(755,root,root) %{_libdir}/libglide3-v5.so
%attr(755,root,root) %{_libdir}/libglide3x.so
%attr(755,root,root) %{_libdir}/libglide3x_V5.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglide3.so
%{_libdir}/libglide3.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libglide3.a

%if %{with glide3_sdk}
%files -n Glide3x_SDK
%defattr(644,root,root,755)
%{_includedir}/glide3
%{_examplesdir}/glide3x-%{version}
%endif
%changelog
* Wed Mar 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Glide_V5-DRI.git;a=log;h=master

* Wed Mar 11 2015 Jan Rękorajski <baggins@pld-linux.org> 4c9c89e
- release 14 (by relup.sh)

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 3b02ab2
- missing patches

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> aba2eff
- added format patch (fixes build with -Werror=format-security)
- added include patch (avoid includes nested in function)
- rel 13

* Sun Jan 15 2012 Jakub Bogusz <qboosh@pld-linux.org> df099ad
- typos/missing changes

* Sun Jan 15 2012 Jakub Bogusz <qboosh@pld-linux.org> d28632d
- moved headers and examples to Glide3_SDK package (built on glide3_sdk bcond, on by default)

* Sun Jan 08 2012 Jakub Bogusz <qboosh@pld-linux.org> e0c8b99
- added gcc4 and no_redefine_macro patches (based on Debian patches), updated cpp arguments to fix build with gcc 4
- updated to use modern xorg instead of X11R6
- rel 12

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2a70c4f
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b6d836b
- converted to UTF-8

* Sat Jan 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d7a790
- kill Icon: field (support for these is obsolete says jbj)

* Sat Jun 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 5c82fbb
- compress *.3df in examples (22MB less), unified examplesdir, release .11

* Sat Jan 17 2004 Jakub Bogusz <qboosh@pld-linux.org> c1ffc1f
- pass -L and cpp for x86_64

* Sat Jan 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 3530531
- oops, too much x

* Sat Jan 17 2004 Jakub Bogusz <qboosh@pld-linux.org> da2688c
- added morearchs patch (for ppc/sparc/amd64), release .10

* Sat Jan 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 7af7055
- memory barriers and fake CPU detection for ppc, sparc, x86_64

* Sat Jan 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 96c1ff1
- follow glide CVS, forget about size_t

* Sat Jan 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 5f9ad92
- added ioctl patch (needed for Linux 2.6 headers)

* Sat Jan 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 069b336
- ioctls fix (needed for 2.6 headers)

* Wed Aug 13 2003 ankry <ankry@pld-linux.org> cadbcc3
- cosmetics

* Thu Jul 17 2003 Jakub Bogusz <qboosh@pld-linux.org> fff85a0
- added gcc33 patch, release .9

* Thu Jul 17 2003 Jakub Bogusz <qboosh@pld-linux.org> e9163ad
- fixes for gcc 3.3

